% The m-files of the MSS (Marine Systems Simulator) toolbox are fully 
% compatible with MATLAB (https://www.mathworks.com) and the free software 
% GNU Octave (https://www.octave.org), facilitating broad accessibility and 
% application in marine systems simulation. It includes models for ships, 
% underwater vehicles, uncrewed surface vehicles, and floating structures. 
% The library also contains guidance, navigation, and control (GNC) blocks 
% for real-time simulation. 
% 
% To begin using the MSS toolbox, ensure it is installed and properly set 
% up in your MATLAB/Octave environment. Copy the directory MSS/... to your 
% computer and "add the path with subfolders" to Matlab/Octave. 
% 
%   >> mssHelp - Online Quick Reference Guide 
%
% Useful demonstrations and examples:
%
%   Book examples       /MSS/mssExamples/ 
%   GNC m-file demos    /MSS/mssDemos/
%
% The algorithms are described in the lecture notes available at 
% https://wiley.fossen.biz, and in the book by T. I. Fossen (2021), 
% Handbook of Marine Craft Hydrodynamics and Motion Control, 2nd edition, 
% published by John Wiley & Sons Ltd.
%
% The Simulink library includes demos and templates for simulation of WAMIT 
% and ShipX vessel and RAO data, located under /MSS/SIMULINK/. The Simulink 
% library is opened by typing
%
%   >> mssSimulink (not availaible in GNU Octave)